Subject: Re: [Fastboot] [PATCH] kexec: remove memory reserve patching for powerpc device tree

From: Michael Ellerman <[email-masked]>
Date: Thu, 21 Sep 2006 13:40:33 +1000

On Thu, 2006-09-21 at 11:51 +0900, Horms wrote:
> On Thu, Sep 21, 2006 at 11:59:04AM +1000, Michael Ellerman wrote:
> > On Thu, 2006-09-21 at 11:10 +1000, Michael Neuling wrote:
> > > This code no longer needed with Jimi's auto reserve of device tree blob
> > > kernel patch now in 2.6.18.    
> > > 
> > > This patch will break Linux if you're kexecing to a kernel which doesn't
> > > have this patch (ie. earlier than 2.6.17).  Required kernel patch is
> > > this one:   
> > > http://git.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=4d1f3f25d9c303d1ce63b42cc94c54ac0ab2e950
> > > 
> > 
> > Although it'd be nice to get rid of that code, I'm not sure we want to
> > go breaking this. This will mean RHEL5 and SLES10 users can't use
> > upstream kexec-tools :/
> 
> Surely if they are using a RHEL5 or SLES10 kernel then its
> reasonably to expect they are also using a RHEL5 or SLES10 supplied
> kexec-tool.

Or Ubuntu Dapper .. Debian Stable .. FC whatever. In general they'll be
using the distro tools sure, but I'd rather not force them to. I
generally expect to be able to run mainline kernels without upgrading my
entire distro - it should cut both ways IMHO.

> I guess it all comes down to backwards compatibility.
> And IMHO thats a hard thing to maintain with something
> as green as kexec.
> 
> I'm in favour of the patch, though I'm prepared to be convinced otherwise.

Sure it's hard, but we can at least try. If we put this patch in we'll
be breaking backward compatibility simply in order to beautify the
kexec-tools code a little.

> If the code needs to stay, perhaps this patch could be modified
> so that the code in question is only executed if the kernel
> is pre 2.6.18. Or is that just overly complex?

There's no need, it simply means the blob is reserved twice, which is
pretty harmless.

I think the best option is just to add a note somewhere in the kexec
sources that we can remove that code sometime in the future.

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person